.mapblock {
  background-color: #161616;
  position: relative;
  z-index: 1;
  width: 100%;
  margin-top: 50px;

  @media (max-width: 767px){
    margin-top: -20px;
  }
}

.mapblock::before{
  content:"";
  display: block;
  width: 100%;
  height: 70px;
  border-radius: 0 0 70px 70px;
  z-index: 5;
  position: absolute;
  background: #fff;

  @media (max-width: 1200px){
    border-radius: 0 0 40px 40px;
    height: 40px;
  }
  @media (max-width: 767px){
    display: none;
  }
}
.mapblock__top{
  position: relative;
}
.mapblock .title{
  width: 100%;
  position: absolute;
  left:0;
  top: 180px;
  z-index: 10;
  pointer-events: none;
}
.mapblock__wrap {
  width: 100%;
  background-color: #161616;
  position: relative;
  overflow: hidden;
  height: 970px;
  background: #ccc;
  overflow: hidden;
}
.mapblock [class*="ground-pane"] {
  filter: grayscale(1) brightness(0.9) invert(1);
}
.mapblock__frame {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
}
.maploc {
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease, opacity 0.3s ease;
  opacity: 0;
  transform: translateX(5px);
  position: absolute;
  z-index: 10;
  right: 100px;
  bottom: 100px;
  width: 230px;
  border-radius: 15px;
  background-color: #161616;
  padding: 15px 15px 20px;
  font-size: 15px;
  line-height: 1.7;
  color:#fff;
}
.maploc.is-active{
  opacity: 1;
  transform: none;
}
.maploc a{
  display: block;
}
.maploc img{
  width: 100%;
  height: 130px;
  border-radius: 10px;
  object-fit: cover;
  display: block;
  margin-bottom: 10px;
}
.maploc p{
  margin-bottom: 10px;
  line-height: 1.3;
  font-size: 15px;
}
.maploc p:last-child{
  margin-bottom: 0;
}
.maploc b{
  font-size: 17px;
  font-weight: bold;
}





@media (max-width:1199px){
  .maploc{
    right: 15px;
    bottom: 15px;
  }
  .mapblock__wrap{
    height: 650px;
  }
  .mapblock .title{
    top: 120px;
    text-align: center;
    font-size: 35px;
  }
  .mapblock .title b{
    display: block;
  }
}
@media (max-width:992px){
  .mapblock{
    padding-top:0;
  }
  .mapblock .title{
    font-size: 20px;
    top: 60px;
  }
  .mapblock__wrap{
    height: 600px;
    margin-left: 0;
    margin-right: 0;
    margin-top: 0;
    margin-bottom: 0;
  }
  .maploc{
    left: 10px;
    right: auto;
    width: auto;
    bottom: 10px;
    top: auto;
    width: 200px;
    padding-bottom: 10px;
    padding: 10px;
  }
  .maploc img{
    height: 112px;
  }
  .maploc b{
    font-size: 15px;
  }
  .maploc p{
    font-size: 13px;
    line-height: 1.4;
  }
}
